Package org.drinkless.tdlib

# Class TdApi.ChatInviteLinkMembers

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatInviteLinkMembers

Enclosing class:
  `TdApi`

public static class TdApi.ChatInviteLinkMembers extends TdApi.Object
Contains a list of chat members joined a chat via an invite link.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.ChatInviteLinkMember[]`
  `members`
  List of chat members, joined a chat via an invite link.
  `int`
  `totalCount`
  Approximate total number of chat members found.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatInviteLinkMembers()`
  Contains a list of chat members joined a chat via an invite link.
  `ChatInviteLinkMembers(int totalCount, TdApi.ChatInviteLinkMember[] members)`
  Contains a list of chat members joined a chat via an invite link.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### totalCount

    public int totalCount
    Approximate total number of chat members found.

  - ### members

    public TdApi.ChatInviteLinkMember[] members
    List of chat members, joined a chat via an invite link.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatInviteLinkMembers

    public ChatInviteLinkMembers()
    Contains a list of chat members joined a chat via an invite link.

  - ### ChatInviteLinkMembers

    public ChatInviteLinkMembers(int totalCount, TdApi.ChatInviteLinkMember[] members)
    Contains a list of chat members joined a chat via an invite link.
    Parameters:
      `totalCount` - Approximate total number of chat members found.
      `members` - List of chat members, joined a chat via an invite link.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR